Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezuser/admin/authorlist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: authorlist.php 8273 2001-11-05 09:09:11Z jhe $
5 //
6 // Created on: <31-May-2001 13:27:04 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezlocale.php" );
28 // include_once( "classes/ezhttptool.php" );
29 // include_once( "classes/eztemplate.php" );
30 // include_once( "classes/INIFile.php" );
31
32 // include_once( "ezuser/classes/ezauthor.php" );
33
34 if ( isset( $NewAuthor ) )
35 {
36 $author = new eZAuthor();
37 $author->store();
38 }
39
40 if ( isset( $DeleteAuthor ) )
41 {
42 if ( count( $DeleteIDArray ) > 0 )
43 {
44 foreach ( $DeleteIDArray as $id )
45 {
46 eZAuthor::delete( $id );
47 }
48 }
49 }
50
51
52 if ( ( isset( $Store ) ) || ( isset( $NewAuthor ) ) ||( isset( $DeleteAuthor ) ) )
53 {
54 $i = 0;
55
56 if ( count( $IDArray ) > 0 )
57 {
58 foreach ( $IDArray as $id )
59 {
60 $author = new eZAuthor( $id );
61 $author->setEMail( $EMail[$i] );
62 $author->setName( $Name[$i] );
63 $author->store();
64
65 $i++;
66 }
67 }
68 }
69
70 $t = new eZTemplate( "kernel/ezuser/admin/" . $ini->variable( "eZUserMain", "AdminTemplateDir" ),
71 "kernel/ezuser/admin/intl", $Language, "authorlist.php" );
72
73 $locale = new eZLocale( $Language );
74
75 $t->set_file( "author_page_tpl", "authorlist.tpl" );
76
77 $t->setAllStrings();
78
79 $t->set_block( "author_page_tpl", "author_list_tpl", "author_list" );
80 $t->set_block( "author_list_tpl", "author_item_tpl", "author_item" );
81
82 $t->set_var( "author_item", "" );
83
84 $author = new eZAuthor();
85
86 $authorArray = $author->getAll();
87
88 $i = 0;
89
90 if ( count( $authorArray ) > 0 )
91 {
92 foreach ( $authorArray as $author )
93 {
94 $t->set_var( "id", $author->id() );
95 $t->set_var( "author_name", $author->name() );
96 $t->set_var( "author_email", $author->email() );
97
98 if ( ( $i % 2 ) == 0 )
99 $t->set_var( "td_class", "bglight" );
100 else
101 $t->set_var( "td_class", "bgdark" );
102
103 $i++;
104
105 $t->parse( "author_item", "author_item_tpl", true );
106 }
107 }
108
109 $t->parse( "author_list", "author_list_tpl" );
110
111 $t->pparse( "output", "author_page_tpl" );
112
113 ?>
eZAuthor
Definition: ezauthor.php:40
eZAuthor\delete
delete( $id)
Definition: ezauthor.php:106
eZLocale
Definition: ezlocale.php:119
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$id
$id
Definition: companytypelist.php:193
$locale
$locale
Definition: ezuser/admin/authorlist.php:73
$t
if(isset( $NewAuthor)) if(isset( $DeleteAuthor)) if((isset( $Store))||(isset( $NewAuthor))||(isset( $DeleteAuthor))) $t
Definition: ezuser/admin/authorlist.php:70
$authorArray
$authorArray
Definition: ezuser/admin/authorlist.php:86
$i
$i
Definition: ezuser/admin/authorlist.php:88
$author
$author
Definition: ezuser/admin/authorlist.php:84
$EMail
$EMail
Definition: ezuser/admin/userlist.php:77
$Name
$Name
Definition: polledit.php:250
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.